/* Contact Form */

div.choice * {
  display: inline;
  width: auto;
}

div.choice p {
  display: block;
  margin-left: .5rem;
}

div.group {
  display: flex;
  flex-flow: row;
}

div.group > * {
  width: calc(100% - 1rem);
  padding: .5rem;
  margin: .5rem 0;
}

div.group > div {
  padding: 0;
}

/* max-width == --text-max-width */
@media all and (max-width: 50rem) {
  div.group {
    display: block;
  }

  div.group > select {
    width: 100%;
  }
}

form {
  max-width: 500px;
  margin: auto;
}

input, textarea, select, div.choice {
  width: 100%;
  display: block;
  font-size: 1rem;
  background: none;
  border: 1px solid var(--green);
  border-top: none;
  border-right: none;
  border-radius: 0 1rem;
}

input:focus, textarea:focus {
  outline: none;
  border: 1px solid var(--red);
  border-top: none;
  border-right: none;
}

input[type=date], input[type=date]:focus,
input[type=checkbox], input[type=radio] {
  border: none;
  height: 1rem;
}

input[type=date], input[type=date]:focus {
  width: 100%;
}

input[type=checkbox], input[type=radio] {
  margin-top: .5rem;
}

textarea {
  resize: none;
}

input#submit {
  /* Plus padding */
  width: calc(100% + .5rem);
  font-weight: bolder;
  border-radius: 2rem;
  border: none;
}
